io.vertx.groovy.core.http

## Class HttpConnection_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.http.HttpConnection_GroovyExtension

-     public class HttpConnection_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpConnection_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpConnection` | `goAwayHandler(HttpConnection j_receiver, Handler<Map<String,Object>> handler)`
    `static Map<String,Object>` | `remoteSettings(HttpConnection j_receiver)`
    `static HttpConnection` | `remoteSettingsHandler(HttpConnection j_receiver, Handler<Map<String,Object>> handler)`
    `static Map<String,Object>` | `settings(HttpConnection j_receiver)`
    `static HttpConnection` | `updateSettings(HttpConnection j_receiver, Map<String,Object> settings)`
    `static HttpConnection` | `updateSettings(HttpConnection j_receiver, Map<String,Object> settings, Handler<AsyncResult<Void>> completionHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConnection_GroovyExtension

          public HttpConnection_GroovyExtension()

  - ### Method Detail

    - #### goAwayHandler

          public static HttpConnection goAwayHandler(HttpConnection j_receiver,
                                                     Handler<Map<String,Object>> handler)

    - #### settings

          public static Map<String,Object> settings(HttpConnection j_receiver)

    - #### updateSettings

          public static HttpConnection updateSettings(HttpConnection j_receiver,
                                                      Map<String,Object> settings)

    - #### updateSettings

          public static HttpConnection updateSettings(HttpConnection j_receiver,
                                                      Map<String,Object> settings,
                                                      Handler<AsyncResult<Void>> completionHandler)

    - #### remoteSettings

          public static Map<String,Object> remoteSettings(HttpConnection j_receiver)

    - #### remoteSettingsHandler

          public static HttpConnection remoteSettingsHandler(HttpConnection j_receiver,
                                                             Handler<Map<String,Object>> handler)

Copyright © 2017. All rights reserved.